For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payment types

get
Authorizations
AuthorizationstringRequired
Query parameters
fiatstringRequired
countrystringRequired
typestringRequired
Header parameters
AuthorizationstringRequired
Responses
200

Ok

application/json

Represents the response containing supported payment types and their associated message.

get/onramper/payment-types
GET /onramper/payment-types?fiat=text&country=text&type=text HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

Ok

{
  "message": {
    "googlepay": {
      "icon": "text",
      "name": "text",
      "paymentTypeId": "text"
    },
    "applepay": {
      "icon": "text",
      "name": "text",
      "paymentTypeId": "text"
    },
    "creditcard": {
      "icon": "text",
      "name": "text",
      "paymentTypeId": "text"
    }
  }
}